title
        bash
description \
        Bash is an sh-compatible shell that incorporates useful features from
        the Korn shell (ksh) and C shell (csh). It is intended to conform to
        the IEEE POSIX P1003.2/ISO 9945.2 Shell and Tools standard. It offers
        functional improvements over sh for both programming and interactive
        use. In addition, most sh scripts can be run by Bash without
        modification.
pkgname
        bash
version
        2.05b
homepage
        http://www.gnu.org/software/${pkgname}
archivedirs
        ftp://ftp.gnu.org/gnu/${pkgname}/
        http://ftp.gnu.org/gnu/${pkgname}/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
        http://www.linuxfromscratch.org/patches/lfs/${lfsver}/bash-${version}-2.patch
targets
        pre
        build \
                patch  -Np1 -i ../bash-${version}-2.patch
                ./configure --prefix=/usr --bindir=/bin $EXTRABUILDARGS
                make
        check \
                make tests
        install
        post
        tools_pre
        tools_build
                before \
                        patch  -Np1 -i ../bash-2.05b-2.patch
        tools_install
                after \
                        ln -sf bash /tools/bin/sh
        tools_post
