title
        Expect
description \
        Expect is a tool for automating interactive applications such as telnet, ftp,
        passwd, fsck, rlogin, tip, etc. Expect really makes this stuff trivial. 
        Expect is also useful for testing these same applications.
pkgname
        expect
version
        5.41.0
homepage
        http://expect.nist.gov/
archivedirs
        http://expect.nist.gov/old/
archivename
        ${pkgname}-${version}.tar.gz
pkgdir
        $(echo ${pkgname}-${version} | cut -d '.' -f 1,2)
patches
        http://www.linuxfromscratch.org/patches/lfs/${lfsver}/expect-${version}-spawn.patch
targets
        tools_pre
        tools_build \
                patch -Np1 -i ../expect-${version}-spawn.patch
                ./configure --prefix=/tools --with-tcl=/tools/lib --with-x=no $EXTRABUILDARGS
                make
        tools_install \
                make SCRIPTS="" install
        tools_post
