title
        kbd
description \
        The kbd package contains keytable files and keyboard utilities compatible with
        kernel version 1.1.54 and later. Setfont requires 1.1.92 or later.
pkgname
        kbd
version
        1.12
homepage
        http://freshmeat.net/projects/kbd
archivedirs
        ftp://ftp.win.tue.nl/pub/linux-local/utils/kbd/
        http://www.kernel.org/pub/linux/utils/kbd/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
        http://www.linuxfromscratch.org/patches/lfs/${lfsver}/kbd-${version}-more-programs-1.patch
targets
        pre
        build \
                patch -Np1 -i ../kbd-${version}-more-programs-1.patch
                ./configure
                make CFLAGS="$CFLAGS"
        check
        install
                after \
                        ln -sf $PATH_TO_KEYMAP /usr/share/kbd/keymaps/defkeymap.map.gz
        post
