title
        "The linux kernel"
description \
        The Linux kernel is a free computer operating system kernel initiated by Linus
        Torvalds in 1991. It was developed initially for the Intel 80386 processor but
        has since been ported to many other platforms. It is written almost entirely in
        c with some GNU c language extensions and assembly language.
pkgname
        linux
version
        2.4.26
homepage
        http://www.kernel.org
archivedirs
        ftp://ftp.kernel.org/pub/linux/kernel/v2.4/
        http://www.kernel.org/pub/linux/kernel/v2.4/
archivename
        ${pkgname}-${version}.tar.bz2
patches
targets
        pre
        build \
                make mrproper
                cp /tools/$GCCBUILDFOR.config .config
                make oldconfig
                make dep
                make bzImage
                make modules
                make modules_install
                make mandocs
                cp -a Documentation/man /usr/share/man/man9
                cp arch/i386/boot/bzImage /boot/vmlinuz-${version}
                cp System.map /boot/System.map-${version}
                cp .config /boot/config-${version}
                ln -sf vmlinuz-${version} /boot/vmlinuz
                ln -sf System.map-${version} /boot/System.map
                cd ..
                chown -R 0:0 ${pkgname}-${version}
                mv -f linux-${version} /usr/src
                ln -sf linux-${version} /usr/src/linux
        post
        tools_pre
        tools_headers \
                make mrproper
                make include/linux/version.h
                make symlinks
                mkdir -p /tools/include/asm
                cp include/asm/* /tools/include/asm
                cp -R include/asm-generic /tools/include
                cp -R include/linux /tools/include
        tools_post
        headers \
                cp --no-dereference --preserve=link,mode,ownership \
                --no-preserve=timestamps --recursive --verbose \
                /tools/include/{asm,asm-generic,linux} /usr/include
                touch /usr/include/linux/autoconf.h
        logheaders \
                install-log -f kernel-headers-${version}
        menuconfig \
                make mrproper
                make menuconfig
                cp .config /etc/pb/packages.g/linux/$GCCBUILDFOR.config

