title
        "GNU Ncurses"
description \
        The Ncurses (new curses) library is a free software emulation of curses in
        System V Release 4.0, and more. It uses Terminfo format, supports pads and
        color and multiple highlights and forms characters and function-key mapping,
        and has all the other SYSV-curses enhancements over BSD Curses.
pkgname
        ncurses
version
        5.4
homepage
        http://www.gnu.org/software/${pkgname}
archivedirs
        ftp://ftp.gnu.org/gnu/${pkgname}/
        http://ftp.gnu.org/gnu/${pkgname}/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
targets
        pre
        build \
                ./configure --prefix=/usr --with-shared --without-debug \
                $EXTRABUILDARGS --program-transform-name=""
                make
        check
        install \
                make install
                chmod 755 /usr/lib/*.5.4
                chmod 644 /usr/lib/libncurses++.a
                mv /usr/lib/libncurses.so.5* /lib
                ln -sf ../../lib/libncurses.so.5 /usr/lib/libncurses.so
                ln -sf libncurses.so /usr/lib/libcurses.so
        post
        tools_pre
        tools_build \
                ./configure --prefix=/tools --with-shared $EXTRABUILDARGS \
                --without-debug --without-ada --enable-overwrite
                make
        tools_install
        tools_post
