title
        "GNU sed"
description \
        Sed (streams editor) isn't really a true text editor or text processor.
        Instead, it is used to filter text, i.e., it takes text input and performs some
        operation (or set of operations) on it and outputs the modified text. Sed is
        typically used for extracting part of a file using pattern matching or
        substituting multiple occurances of a string within a file.
pkgname
        sed
version
        4.0.9
homepage
        http://www.gnu.org/software/${pkgname}
archivedirs
        ftp://ftp.gnu.org/gnu/${pkgname}/
        http://ftp.gnu.org/gnu/${pkgname}/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
targets
        pre
        build \
                ./configure --prefix=/usr --bindir=/bin $EXTRABUILDARGS
                make
        check
        install
        post
        tools_pre
        tools_build
        tools_install
        tools_post
