title
        shadow
description \
        The Shadow password file utilities package includes the programs necessary to
        convert traditional V7 UNIX password files to the SVR4 shadow password format, and
        additional tools to maintain password and group files (that work with both shadow
        and non-shadow passwords).
pkgname
        shadow
version
        4.0.4.1
homepage
        http://shadow.pld.org.pl/
archivedirs
        ftp://ftp.pld.org.pl/software/shadow/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
targets
        pre
        build \
                touch /usr/bin/passwd
                ./configure --libdir=/usr/lib --enable-shared $EXTRABUILDARGS
                echo '#define HAVE_SETLOCALE 1' >> config.h
                make
        check
        install
                after \
                        cp etc/{limits,login.access} /etc
                        sed -e 's%#MD5_CRYPT_ENAB.no%MD5_CRYPT_ENAB yes%' \
                        -e 's%/var/spool/mail%/var/mail%' \
                        etc/login.defs.linux > /etc/login.defs
                        mv /bin/sg /usr/bin
                        mv /bin/vigr /usr/sbin
                        mv /usr/lib/lib{shadow,misc}.so.0* /lib
                        ln -sf ../../lib/libshadow.so.0 /usr/lib/libshadow.so
                        ln -sf ../../lib/libmisc.so.0 /usr/lib/libmisc.so
                        mkdir /etc/default
                        rm /bin/groups
                        pwconv
                        grpconv
        post
