title
        "GNU texinfo"
description \
        Texinfo is a documentation system that uses a single source file to produce both
        online information and printed output. Instead of writing different documents
        for online presentation and another for printed work, you need have only one
        document. 
pkgname
        texinfo
version
        4.7
homepage
        http://www.gnu.org/software/${pkgname}
archivedirs
        ftp://ftp.gnu.org/gnu/${pkgname}/
        http://ftp.gnu.org/gnu/${pkgname}/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
targets
        pre
        build
        check
        install
                after \
                        cat > /usr/bin/cleaninfo << "EOF"
                        #!/bin/sh
                        # Begin /usr/bin/cleaninfo
                        
                        cd /usr/share/info
                        rm dir
                        for f in *
                        do install-info $f dir 2>/dev/null
                        done
                        
                        # End /usr/bin/cleaninfo
                        EOF
                        chmod 755 /usr/bin/cleaninfo
        post
        tools_pre
        tools_build
        tools_install
        tools_post
