title
        Vim
description \
        Vim is a highly configurable text editor built to enable efficient text editing.
        It is an improved version of the vi editor distributed with most UNIX systems.
pkgname
        vim
version
        6.2
homepage
        http://www.vim.org
archivedirs
        ftp://ftp.vim.org/pub/vim/unix
archivename
        ${pkgname}-${version}-src[12].tar.gz
patches
targets
        pre
        build
                before \
                        echo '#define SYS_VIMRC_FILE "/etc/vimrc"' >> src/feature.h
                        echo '#define SYS_GVIMRC_FILE "/etc/gvimrc"' >> src/feature.h
        check
        install
                after \
                        ln -s vim /usr/bin/vi
                        cat > /etc/vimrc << "EOF"
                        " Begin /etc/vimrc
                        
                        set nocompatible
                        set backspace=2
                        syntax on
                        
                        " End /etc/vimrc
                        EOF
        post
