title
        zlib
description \
        zlib is designed to be a free, general-purpose, legally unencumbered -- that is,
        not covered by any patents -- lossless data-compression library for use on 
        virtually any computer hardware and operating system. The zlib data format is 
        itself portable across platforms.
pkgname
        zlib
version
        1.2.1
homepage
        http://www.gzip.org/zlib
archivedirs
        http://www.gzip.org/zlib/
        http://www.gzip.org/zlib/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
targets
        pre
                after \
                        OLDCFLAGS=$CFLAGS
                        CFLAGS="$CFLAGS -fPIC"
        build \
                CFLAGS="$CFLAGS" ./configure --prefix=/usr --shared
                make
        check
        install
                after \
                        mv /usr/lib/libz.so.* /lib
                        ln -sf ../../lib/libz.so.1 /usr/lib/libz.so
        build_static \
                make clean
                ./configure --prefix=/usr
                make
        install_static \
                make install
                chmod 644 /usr/lib/libz.a
        post
                after \
                        CFLAGS=$OLDCFLAGS
                        unset OLDCFLAGS
