title
        "GNU Binutils"
description \
        Binutils is a collection of binary utilities.
        Includes tools capable of linking and managing archives, including handling
        object code, libraries, profile data, and symbol names. 
pkgname
        binutils
version
        2.14
homepage
        http://sources.redhat.com/binutils/
archivedirs
        ftp://ftp.gnu.org/gnu/binutils/
archivename
        ${pkgname}-${version}.tar.bz2
        ${pkgname}-${version}.tar.gz
patches
targets
        toolchain_pre
        toolchain_post
        build \
                mkdir -p ../${pkgname}-build
                cd ../${pkgname}-build
                ../${pkgname}-${version}/configure --prefix=/usr --enable-shared $EXTRABUILDARGS
                make tooldir=/usr
        check 
		before \
	                cd ../${pkgname}-build
        install \
                cd ../${pkgname}-build
                make tooldir=/usr install
                cp ../binutils-2.14/include/libiberty.h /usr/include
        tools_pass1_build \
                mkdir -p ../${pkgname}-build
                cd ../${pkgname}-build
                ../${pkgname}-${version}/configure --prefix=/tools --disable-nls \
                $EXTRABUILDARGS
                make configure-host
                make LDFLAGS="-all-static"
        tools_pass2_build \
                mkdir -p ../${pkgname}-build
                cd ../${pkgname}-build
                ../${pkgname}-${version}/configure --prefix=/tools --enable-shared \
                --with-lib-path=/tools/lib $EXTRABUILDARGS
                make
        tools_install
		before \
			cd ../${pkgname}-build
        prepare_pass1 \
                cd ../${pkgname}-build
                make -C ld clean
                make -C ld LDFLAGS="-all-static" LIB_PATH=/tools/lib
        prepare_pass2 \
                cd ../${pkgname}-build
                make -C ld clean
                make -C ld LIB_PATH=/usr/lib:/lib
        adjust \
                cd ../${pkgname}-build
                make -C ld install
        re-adjust \
                cd ../${pkgname}-build
                make -C ld INSTALL=/tools/bin/install install
                cd ..
                rm -fr ${pkgname}-build
                rm -fr ${pkgdir}
