title
        bison
description \
        Bison is a general-purpose parser generator that converts a grammar description
        for an LALR context-free grammar into a C program to parse that grammar. Once
        you are proficient with Bison, you can use it to develop a wide range of
        language parsers, from those used in simple desk calculators to complex
        programming languages.
pkgname
        bison
version
        1.875
homepage
        http://www.gnu.org/software/${pkgname}
archivedirs
        http://ftp.gnu.org/pub/gnu/${pkgname}/
        ftp://ftp.gnu.org/pub/gnu/${pkgname}/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
        http://www.linuxfromscratch.org/patches/lfs/${lfsver}/bison-${version}-attribute.patch
targets
        pre
        build
                before \
                        patch -Np1 -i ../bison-${version}-attribute.patch
        check
        install
        post
