title
        bzip2
description \
        bzip2 is a freely available, patent free , high-quality data compressor. It 
        typically compresses files to within 10% to 15% of the best available techniques
        (the PPM family of statistical compressors), whilst being around twice as fast
        at compression and six times faster at decompression. 
pkgname
        bzip2
version
        1.0.2
homepage
        http://sources.redhat.com/bzip2/
archivedirs
        ftp://sources.redhat.com/pub/bzip2/v102/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
targets
        pre
        build \
                cp Makefile Makefile.backup
                sed -e 's%$(BIGFILES)%$(BIGFILES) $(OPT)%' Makefile.backup > Makefile
                cp Makefile-libbz2_so Makefile-libbz2_so.backup
                sed -e 's%$(BIGFILES)%$(BIGFILES) $(OPT)%' 	Makefile-libbz2_so.backup > Makefile-libbz2_so
                make OPT="$CFLAGS" -f Makefile-libbz2_so
                make clean
                make OPT="$CFLAGS"
        install \
                rm -f /usr/bin/bz* 2> /dev/null
                make install
                cp bzip2-shared /bin/bzip2
                cp -a libbz2.so* /lib
                ln -sf ../../lib/libbz2.so.1.0 /usr/lib/libbz2.so
                rm /usr/bin/{bunzip2,bzcat,bzip2}
                mv /usr/bin/{bzip2recover,bzless,bzmore} /bin
                ln -sf bzip2 /bin/bunzip2
                ln -sf bzip2 /bin/bzcat
        check
        post
        tools_pre
        tools_build \
                cp Makefile Makefile.backup
                sed -e 's%$(BIGFILES)%$(BIGFILES) $(OPT)%' Makefile.backup > Makefile
                cp Makefile-libbz2_so Makefile-libbz2_so.backup
                sed -e 's%$(BIGFILES)%$(BIGFILES) $(OPT)%' Makefile-libbz2_so.backup > Makefile-libbz2_so
                make PREFIX=/tools install OPT="$CFLAGS"
        tools_post
