title
        "GNU coreutils"
pkgname
        coreutils
description \
        The GNU Core Utilities are the basic file, shell and text manipulation utilities
        of the GNU operating system. These are the core utilities which are expected to
        exist on every operating system.
version
        5.2.1
homepage
        http://www.gnu.org/software/${pkgname}
archivedirs
        ftp://ftp.gnu.org/gnu/${pkgname}/
archivename
        ${pkgname}-${version}.tar.gz
patches
        http://www.linuxfromscratch.org/patches/lfs/${lfsver}/coreutils-${version}-hostname-1.patch
        http://www.linuxfromscratch.org/patches/lfs/${lfsver}/coreutils-${version}-uname-1.patch
targets
        pre
        build
                before \
                        patch -Np1 -i ../coreutils-${version}-uname-1.patch
                        patch -Np1 -i ../coreutils-${version}-hostname-1.patch
                        export DEFAULT_POSIX2_VERSION=199209
                after \
                        unset DEFAULT_POSIX2_VERSION
                        make install-root
        check \
                make install-root
                touch /etc/mtab
                echo dummy1:x:1000 >> /etc/group
                echo dummy2:x:1001:dummy >> /etc/group
                echo dummy:x:1000:1000:::/bin/bash >> /etc/passwd
                export NON_ROOT_USERNAME=dummy; make check-root
                su dummy -c "make RUN_EXPENSIVE_TESTS=yes check"
                sed -i.bak /dummy/d /etc/passwd /etc/group
        install
                after \
                        mv /usr/bin/{basename,cat,chgrp,chmod,chown,cp,dd,df} /bin
                        mv /usr/bin/{date,echo,false,head,install,ln,ls} /bin
                        mv /usr/bin/{mkdir,mknod,mv,pwd,rm,rmdir,sync} /bin
                        mv /usr/bin/{sleep,stty,su,test,touch,true,uname} /bin
                        mv /usr/bin/chroot /usr/sbin
                        rm /usr/bin/kill
                        ln -sf test /bin/[
                        ln -sf ../../bin/install /usr/bin
        post
        tools_pre
        tools_build
                before \
                        export DEFAULT_POSIX2_VERSION=199209
                after \
                        unset DEFAULT_POSIX2_VERSION
        tools_install
        tools_post
