title
        defaults
description \
        Default values for package descriptors. Individual package descriptors override
        any commands here.
homepage
        http://www.freshmeat.net/projects/${pkgname}
archivedirs
        ftp://ftp.${pkgname}.org/${pkgname}/
        http://ftp.${pkgname}.org/${pkgname}/
        ftp://ftp.gnu.org/gnu/${pkgname}/
        http://ftp.gnu.org/gnu/${pkgname}/
archivename
        ${pkgname}-{version}.tar.gz
        ${pkgname}-{version}.tar.bz2
        ${pkgname}.tar.gz
        ${pkgname}.tar.bz2
patches
targets
        pre \
                unzipme
                rm -fr /var/log/install-logs/.timestamp 2>/dev/null
                touch -r . /var/log/install-logs/.timestamp 2>/dev/null
        build \
                ./configure --prefix=/usr $EXTRABUILDARGS
                make
        check \
                make -k check
        install \
                make install
        post \
                rm -rf ${pkgdir}
                install-log -f ${pkgname}-${version} 2>/dev/null
        toolchain_pre \
                unzipme
                rm -fr /var/log/install-logs/.timestamp 2>/dev/null
                touch -r . /var/log/install-logs/.timestamp 2>/dev/null
        toolchain_post \
                rm -rf ${pkgname}-build
                rm -rf ${pkgdir}
                install-log -f ${pkgname}-${version} 2>/dev/null
        tools_pre \
                unzipme
        tools_build \
                ./configure --prefix=/tools $EXTRABUILDARGS
                make
        tools_install \
                make install
        tools_post \
                rm -rf ${pkgdir}
