title
        "GNU Grub"
description \
        Multiboot boot loader derived from GRUB (GRand Unified Bootloader). The first
        software program that runs when the computer starts, it's responsible for
        loading and transferring control to the operating system kernel software, which
        initializes the rest of the operating system.
pkgname
        grub
version
        0.94
homepage
        http://www.gnu.org/software/${pkgname}
archivedirs
        ftp://alpha.gnu.org/pub/gnu/grub/
        http://alpha.gnu.org/pub/gnu/grub/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
targets
        pre
        build
        check
        install
                after \
                        mkdir /boot/grub
                        cp /usr/share/grub/i386-pc/stage{1,2} /boot/grub
                        cp /usr/share/grub/i386-pc/*stage1_5 /boot/grub
        post
