title
        gzip
description \
        gzip (GNU zip) is a popular data compression program written for the GNU
        project. This program was developed as a replacement for compress because of the
        UNISYS and IBM patents covering the LZW algorithm used by compress. These
        patents made it impossible for us to use compress, and we needed a replacement.
        The superior compression ratio of GZIP is just a bonus. 
pkgname
        gzip
version
        1.3.5
homepage
        http://www.gnu.org/software/${pkgname}
archivedirs
        ftp://alpha.gnu.org/gnu/${pkgname}/
        http://alpha.gnu.org/gnu/${pkgname}/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
targets
        pre
        build \
                ./configure --prefix=/usr $EXTRABUILDARGS
                cp gzexe.in{,.backup}
                sed 's%"BINDIR"%/bin%' gzexe.in.backup > gzexe.in
                make
        check
        install
                after \
                        mv /usr/bin/gzip /bin
                        rm /usr/bin/{gunzip,zcat}
                        ln -sf gzip /bin/gunzip
                        ln -sf gzip /bin/zcat
                        ln -sf gunzip /bin/uncompress
        post
        tools_pre
        tools_build
        tools_install
        tools_post
