title
        Man
description \
        The man page suite, including man, apropos, and whatis consists of programs that
        are used to read most of the documentation available on a Linux system. The whatis
        and apropos programs can be used to find documentation related to a particular
        subject.
pkgname
        man
version
        1.5m2
homepage
        http://freshmeat.net/projects/man
archivedirs
        ftp://ftp.win.tue.nl/pub/linux-local/utils/man/
        http://ftp.kernel.org/pub/linux/utils/man/
archivename
        ${pkgname}-${version}.tar.bz2
        ${pkgname}-${version}.tar.gz
patches
        http://www.linuxfromscratch.org/patches/lfs/${lfsver}/man-${version}-80cols.patch
targets
        pre
        build \
                patch -Np1 -i ../man-${version}-80cols.patch
                sed -i 's/-is/&R/' configure
                sed -i 's%MANPATH./usr/man%#&%' src/man.conf.in
                cp man2html/Makefile.in man2html/Makefile.in.backup
                sed -e "s/CFLAGS = /CFLAGS = $CFLAGS /" \
                    man2html/Makefile.in.backup > man2html/Makefile.in
                ./configure -default -confdir=/etc 
                make
        install
        post
