title
        "GNU nano"
description \
        GNU nano is designed to be a free replacement for the Pico text editor, part of
        the Pine email suite from The University of Washington. It aims to "emulate
        Pico as closely as possible and perhaps include extra functionality".
pkgname
        nano
version
        1.2.3
homepage
        http://www.nano-editor.org/
archivedirs
        ftp://ftp.gnu.org/gnu/${pkgname}/
        http://ftp.gnu.org/gnu/${pkgname}/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
depends \
        slang version > 1.4.9
targets
        pre
        build \
                ./configure --prefix=/usr --sysconfdir=/etc \
                --enable-color --enable-multibuffer --enable-nanorc
                make
        check
        install
                after \
                        cp nanorc.sample /etc/nanorc
                        chmod 755 /etc/nanorc
        post
