title
        sysvinit
description \
        Init is the parent of all processes. Its primary role is to create processes from a
        script stored in the file /etc/inittab. This package also contains well known and
        used utilities like reboot, shutdown, killall, poweroff, tellinit, sulogin, wall,
        etc.
pkgname
        sysvinit
version
        2.85
homepage
        http://freshmeat.net/projects/${pkgname}
archivedirs
        ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/
archivename
        ${pkgname}-${version}.tar.gz
patches
targets
        pre
        build \
                cp src/init.c{,.backup}
                sed 's/Sending processes/& started by init/g' \
                    src/init.c.backup > src/init.c
                make CFLAGS="-Wall -D_GNU_SOURCE $CFLAGS" -C src
        check
        install \
                make -C src install
                cat > /etc/inittab << "EOF"
                # Begin /etc/inittab
                
                id:3:initdefault:
                
                si::sysinit:/etc/rc.d/init.d/rc sysinit
                
                l0:0:wait:/etc/rc.d/init.d/rc 0
                l1:S1:wait:/etc/rc.d/init.d/rc 1
                l2:2:wait:/etc/rc.d/init.d/rc 2
                l3:3:wait:/etc/rc.d/init.d/rc 3
                l4:4:wait:/etc/rc.d/init.d/rc 4
                l5:5:wait:/etc/rc.d/init.d/rc 5
                l6:6:wait:/etc/rc.d/init.d/rc 6
                
                ca:12345:ctrlaltdel:/sbin/shutdown -t1 -a -r now
                
                su:S016:once:/sbin/sulogin
                
                1:2345:respawn:/sbin/agetty tty1 9600
                2:2345:respawn:/sbin/agetty tty2 9600
                3:2345:respawn:/sbin/agetty tty3 9600
                4:2345:respawn:/sbin/agetty tty4 9600
                5:2345:respawn:/sbin/agetty tty5 9600
                6:2345:respawn:/sbin/agetty tty6 9600
                
                # End /etc/inittab
                EOF
        post
