#!/bin/bash

# Checks for existence of all patches referenced by package descriptors

lfsver=5.1.1

for i in * ; do
    if [ -f $i/$i.g ] ; then
        export version=$(gpath version $i/$i.g);
        for j in $(gpath patches $i/$i.g) ; do 
            patch=`eval echo $j`;
            wget "${patch}" 1>/dev/null 2>&1
            if [ "$?" = "0" ] ; then
                rm $(basename ${patch})
                echo "Found: ${patch}"
            else
                echo "Error: Doh! wget failed..."
                echo "Error: Try running the folowing manually and see what happens."
                echo
                echo "    wget ${patch}"
                echo
            fi;
        done;
    fi;
done;
