title
        Util-linux
description \
        Util-linux is a suite of essential utilities for any Linux system. Its primary
        audience is system integrators and DIY Linux hackers. Util-linux is attempting
        to be portable, but the only platform it has been tested much on is Linux i386.
pkgname
        util-linux
version
        2.12a
homepage
        http://freshmeat.net/projects/${pkgname}
archivedirs
        ftp://ftp.win.tue.nl/pub/linux-local/utils/util-linux/
                http://www.kernel.org/pub/linux/utils/util-linux/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
targets
        pre
        build \
                cp hwclock/hwclock.c{,.backup}
                sed 's%etc/adjtime%var/lib/hwclock/adjtime%' \
                    hwclock/hwclock.c.backup > hwclock/hwclock.c
                mkdir -p /var/lib/hwclock
                ./configure $EXTRABUILDARGS
                make HAVE_KILL=yes HAVE_SLN=yes
        check
        install \
                make HAVE_KILL=yes HAVE_SLN=yes install
        post
        tools_pre
        tools_build \
                cp configure configure.backup
                sed "s@/usr/include@/tools/include@g" configure.backup > configure
                ./configure
                make -C lib
                make -C mount mount umount
                make -C text-utils more
        tools_install \
                cp mount/{,u}mount text-utils/more /tools/bin
        tools_post
